Home / Lua API Manual / darktable / darktable.gui / darktable.gui.libs / darktable.gui.libs.collect
< darktable.gui.libs.camera
darktable.gui.libs.colorlabels >

# darktable.gui.libs.collect

The collection UI element that allows to filter images by collection

Attributes:

- has_tostring
- parent : types.dt_lua_lib_t

## 🔗darktable.gui.libs.collect.filter

    function(
      [rules : array of types.dt_lib_collect_params_rule_t]
    ) : array oftypes.dt_lib_collect_params_rule_t

Get or change the list of visible images

Attributes:

- implicit_yield

- [rules] - array of types.dt_lib_collect_params_rule_t - A table of rules describing the filter. These rules will be applied after this call

- return - array of types.dt_lib_collect_params_rule_t - The rules that were applied before this call.

## 🔗darktable.gui.libs.collect.new_rule

    function(
    ) : types.dt_lib_collect_params_rule_t

Returns a newly created rule object

- return - types.dt_lib_collect_params_rule_t - The newly created rule

< darktable.gui.libs.camera
darktable.gui.libs.colorlabels >